import { get, put, post, deletes } from '@/http/index'

// 查询维修记录列表
export const getMaintenanceRecord = async (data) => {
  return await get('/als/maintenanceRecord/list', data)
}

// 新增维修记录
export const addMaintenanceRecord = async (data) => {
  return await post('/als/maintenanceRecord', data)
}

// 修改维修记录
export const updateMaintenanceRecord = async (data) => {
  return await put('/als/maintenanceRecord', data)
}

// 删除维修记录
export const removeMaintenanceRecord = async (id) => {
  return await deletes('/als/maintenanceRecord/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
